Skip to main content
GET
/
v2
/
payment
/
payout
/
{payout_id}
Retrieve Payout
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id} \
  --header 'x-auth-token: <api-key>' \
  --header 'x-idempotency-key: <x-idempotency-key>'
{
  "payout_id": "PO1968582687224500224",
  "payout_currency": "SGD",
  "payout_amount": "100.00",
  "statement_descriptor": "UQPAY PAYOUT",
  "payout_status": "INITIATED",
  "create_time": "2025-09-18T15:47:41+08:00",
  "internal_note": "Payment to supplier",
  "completed_time": ""
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

x-idempotency-key
string<uuid>
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Path Parameters

payout_id
string
required

Payout order ID

Example:

"PO1234567890123456789"

Response

Payout retrieved successfully

payout_id
string
required

Payout UUID

Example:

"PO1968582687224500224"

payout_currency
string
required

Three-letter currency code

Example:

"SGD"

payout_amount
string
required

The amount to be withdrawn through this payout.

Example:

"100.00"

statement_descriptor
string
required

Payout reference information displayed to the recipient's bank

Maximum string length: 15
Example:

"UQPAY PAYOUT"

payout_status
enum<string>
required

Payout status enumeration

Available options:
INITIATED,
PROCESSING,
COMPLETED,
FAILED,
FAILED_REFUNDED
Example:

"INITIATED"

create_time
string<date/time>
required

Payout creation time

Example:

"2025-09-18T15:47:41+08:00"

internal_note
string

Payout remark information

Example:

"Payment to supplier"

completed_time
string<date/time>

Payout completion time

Example:

""